
package org.jboss.support.phonebook.types;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;
import org.jboss.support.phonebook.Person;
import org.jboss.support.phonebook.TelephoneNumber;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.jboss.support.phonebook.types package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Arg0_QNAME = new QName("http://www.jboss.org/support/phonebook/types", "arg0");
    private final static QName _Return_QNAME = new QName("http://www.jboss.org/support/phonebook/types", "return");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.jboss.support.phonebook.types
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Person }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.jboss.org/support/phonebook/types", name = "arg0")
    public JAXBElement<Person> createArg0(Person value) {
        return new JAXBElement<Person>(_Arg0_QNAME, Person.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TelephoneNumber }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.jboss.org/support/phonebook/types", name = "return")
    public JAXBElement<TelephoneNumber> createReturn(TelephoneNumber value) {
        return new JAXBElement<TelephoneNumber>(_Return_QNAME, TelephoneNumber.class, null, value);
    }

}
