package org.jboss.support.ws.phonebook.client;

import java.net.URL;

import javax.xml.namespace.QName;
import javax.xml.ws.Service;

import org.jboss.support.phonebook.Person;
import org.jboss.support.phonebook.PhoneBook;
import org.jboss.support.phonebook.TelephoneNumber;
public class Client
{

   public static void main(String[] args) throws Exception
   {
      URL wsdlURL = new URL("http://127.0.0.1:8080/PhoneBook?wsdl");
      QName serviceName = new QName("http://www.jboss.org/support/phonebook", "PhoneBook");

      Service service = Service.create(wsdlURL, serviceName);

      PhoneBook port = (PhoneBook) service.getPort(PhoneBook.class);

      Person p = new Person();
      p.setFirstName("Darran");
      p.setSurname("Lofthouse");

      TelephoneNumber tel = port.lookup(p);

      System.out.println("(" + tel.getAreaCode() + ") " + tel.getNumber());
   }
}
