package org.jboss.support.ws.phonebook;

import javax.jws.WebService;

import org.apache.log4j.Logger;
import org.jboss.support.phonebook.Person;
import org.jboss.support.phonebook.PhoneBook;
import org.jboss.support.phonebook.TelephoneNumber;

// , wsdlLocation = "WEB-INF/wsdl/PhoneBook.wsdl"

@WebService(serviceName = "PhoneBook", endpointInterface = "org.jboss.support.phonebook.PhoneBook", targetNamespace = "http://www.jboss.org/support/phonebook", wsdlLocation = "WEB-INF/wsdl/PhoneBook.wsdl")
public class PhoneBookImpl implements PhoneBook
{

   private static final Logger log = Logger.getLogger(PhoneBookImpl.class);

   public TelephoneNumber lookup(Person person)
   {
      log.info("Lookup - " + person.getSurname() + ", " + person.getFirstName());

      TelephoneNumber number = new TelephoneNumber();
      number.setAreaCode("01234");
      number.setNumber("456789");
      return number;
   }

}
